<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MovePrev Method
SecondaryCursor Class See Also

If the cursor is not yet initialized, MovePrev is identical to MoveLast()()(). Otherwise, move the cursor to the previous key/data pair of the database, and store the secondary key and primary key/data pair in Current. In the presence of duplicate key values, the value of Current.Key may not change.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MovePrev()

Visual Basic (Declaration)

    Public Function MovePrev As Boolean

Visual C++

    public:
    bool MovePrev()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MovePrev Overload
BerkeleyDB Namespace